import React from "react"
import '../App.less'
import { Spin } from "antd"
import { LoadingOutlined } from "@ant-design/icons";

const antIcon = <LoadingOutlined style={{ fontSize: 24 }} spin />;
/**
 * 全屏Lodiling
 * @returns 
 */
const LoadingPop: React.FC<{ tip?: string }> = ({ tip }) => {


    return <div className="loadingPop">
        <Spin spinning={true} indicator={antIcon} tip={tip}/>
    </div>
}

export default React.memo(LoadingPop)