

const TokenKey = 'User-Token'
const GameIdKey = 'Game-Id'

// 获取token
export function getToken() {
    return localStorage.getItem(TokenKey) || ''
}

// 设置token
export function setToken(token: string) {
    return localStorage.setItem(TokenKey, token)
}

// 清除token
export function removeToken() {
    return localStorage.removeItem(TokenKey)
}

/******************************************/

// 获取GameId
export function getGameId() {
    return localStorage.getItem(GameIdKey) || ''
}

// 设置GameId
export function setGameId(gameId: string) {
    return localStorage.setItem(GameIdKey, gameId)
}

// 清除GameId
export function removeGameId() {
    return localStorage.removeItem(GameIdKey)
}